﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;
using System.IO;

namespace WindowsFormsApplication44
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        string filename;
        PropertyCategories propsToSave = PropertyCategories.ColumnFilters;

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridOverride ov = layout.Override;
            
            ov.RowSelectorHeaderStyle = RowSelectorHeaderStyle.ColumnChooserButton;

            this.filename = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.bin");
        }

        private void btnSetExcludeFromColumnChooser_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[0].ExcludeFromColumnChooser = ExcludeFromColumnChooser.False;
        }

        private void btnGetExcludeFromColumnChooser_Click(object sender, EventArgs e)
        {
            Debug.WriteLine(this.ultraGrid1.DisplayLayout.Bands[0].Columns[0].ExcludeFromColumnChooser);
        }

        
        private void btnSaveLayout_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Save(this.filename, propsToSave);
        }

        private void btnLoadLayout_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Load(this.filename, propsToSave);
        }

        private void btnResetLayout_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Reset();
        }
    }
}
